/* 
spnh 1.0b (beta)
Win32 console program for spawning other programs in a hidden window
Copyright(C) 1997 Yoram Last

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

The author of this program can be contacted by e-mail at ylast@mindless.com.
Please see the accompanying documentation for usage instructions.
The code had been compiled successfully with Microsoft's Visual C++ 4.0.

*/

#include <windows.h>
#include <stdio.h>

void main(int argc, char *argv[], char *envp[])
{
	PROCESS_INFORMATION pi; 
	STARTUPINFO si;
	GetStartupInfo(&si);
	si.dwFlags = STARTF_USESHOWWINDOW;
	si.wShowWindow = SW_HIDE;

	if (argc >= 2) {
	    CreateProcess(
		  NULL,	// pointer to name of executable module 
		  argv[1],	// pointer to command line string
		  NULL,	// pointer to process security attributes 
		  NULL,	// pointer to thread security attributes 
		  TRUE,	// handle inheritance flag 
		  0,	// creation flags 
		  NULL,	// pointer to new environment block 
		  NULL,	// pointer to current directory name 
		  &si,	// pointer to STARTUPINFO 
		  &pi 	// pointer to PROCESS_INFORMATION  
	    );};

}